Skip to main content
POST
/
payments
/
{payment}
/
hold
Hold a payment
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/payments/{payment}/hold \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<id>",
  "object": "payment",
  "data": {
    "payroll": {
      "id": "<id>",
      "object": "payroll",
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    "remittance_account": null,
    "destination": "payroll_float",
    "method": "pad",
    "amount": 0,
    "status": "pending",
    "process_at": "2026-01-27",
    "expected_at": "2026-01-27",
    "is_impacted_by_weekend_or_holiday": false,
    "is_held": true,
    "held_at": "2026-01-01T00:00:00.000000Z",
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/payments/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("payment").

data
Payment · object